### Interface

# Phosh CallsDBusObject

since: 0

#### Description [src]

    interface Phosh.CallsDBusObject : Gio.DBusObject

The `PhoshCallsDBusObject` type is a specialized container of interfaces.

Available since: 0

#### Prerequisite

In order to implement CallsDBusObject, your type must inherit from`GDBusObject`.

#### Implementations

- PhoshCallsDBusObjectProxy
- PhoshCallsDBusObjectSkeleton

#### Instance methods

###### phosh_calls_dbus_object_get_calls_call

Gets the `PhoshCallsDBusCallsCall` instance for the D-Bus interface org.gnome.Calls.Call on `object`, if any.

since: 0

###### phosh_calls_dbus_object_peek_calls_call

Like `phosh_calls_dbus_object_get_calls_call()` but doesn’t increase the reference count on the returned object.

since: 0

#### Properties

###### Phosh.CallsDBusObject:calls-call

The `PhoshCallsDBusCallsCall` instance corresponding to the D-Bus interface org.gnome.Calls.Call, if any.

since: 0

#### Interface structure

    struct PhoshCallsDBusObjectIface {
      GTypeInterface parent_iface;

    }

Virtual table for the `PhoshCallsDBusObject` interface.

###### Interface members

`parent_iface`

    GTypeInterface

| The parent interface.